<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Exciting Comics</Series>
  <Number>8</Number>
  <Web>https://www.comixology.com/Exciting-Comics-8/digital-comic/936285</Web>
  <Summary>Revel in all-new thrills and adventure as Antarctic Press brings you the triumphant return of Antarctic's Exciting!  Jeremy Scott Brown and Leo Gondim show how even though the mighty Ajax has broken free of a villain's mind control, he still may never be trusted again.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB936285]</Notes>
  <Publisher>Antarctic Press</Publisher>
  <Genre>Action/Adventure, Superhero, Science Fiction</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
